<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [iceshrimp-js](./iceshrimp-js.md) &gt; [ChannelConnection](./iceshrimp-js.channelconnection.md) &gt; [(constructor)](./iceshrimp-js.channelconnection._constructor_.md)

## ChannelConnection.(constructor)

Constructs a new instance of the `Connection` class

**Signature:**

```typescript
constructor(stream: Stream, channel: string, name?: string);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  stream | [Stream](./iceshrimp-js.stream.md) |  |
|  channel | string |  |
|  name | string | _(Optional)_ |

